Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Update

    java.lang.Object
      juzu.Response
          juzu.Response.Update

Enclosing class:
  Response

    public static class Response.Update

extends Response

A response instructing to execute a render phase of a controller method after the current interaction.

Nested Class Summary

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Redirect, Response.Render, Response.Update`

Constructor Summary
`Response.Update()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,String[]>` | `getParameters()`
`Response.Update` | `setParameter(String name, String value)`
`Response.Update` | `setParameter(String name, String[] value)`
`Response.Update` | `setParameters(Map<String,String[]> parameters)`
`String` | `toString()`
`
`<T> Response.Update`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.

Methods inherited from class juzu.Response
`content, content, content, content, getProperties, notFound, ok, ok, ok, redirect, render, render`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response.Update

    public Response.Update()

Method Detail

### setParameter

    public Response.Update setParameter(String name,
                                        String value)
                                 throws NullPointerException

  Throws:
    `NullPointerException`

### setParameter

    public Response.Update setParameter(String name,
                                        String[] value)
                                 throws NullPointerException,
                                        IllegalArgumentException

  Throws:
    `NullPointerException`
    `IllegalArgumentException`

### setParameters

    public Response.Update setParameters(Map<String,String[]> parameters)
                                  throws NullPointerException,
                                         IllegalArgumentException

  Throws:
    `NullPointerException`
    `IllegalArgumentException`

### getParameters

    public Map<String,String[]> getParameters()

### with

    public <T> Response.Update with(PropertyType<T> propertyType,
                                    T propertyValue)
                         throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.